Package Details: kicad-git 5.99.0.r6895.gbd63c018c9-1

Git Clone URL: https://aur.archlinux.org/kicad-git.git (read-only, click to copy)
Package Base: kicad-git
Description: Electronic schematic and printed circuit board (PCB) design tools
Upstream URL: http://kicad-pcb.org/
Licenses: GPL
Conflicts: kicad, kicad-bzr
Provides: kicad
Submitter: Chocobo
Maintainer: nickoe
Last Packager: nickoe
Votes: 67
Popularity: 0.96
First Submitted: 2015-10-08 16:39
Last Updated: 2020-11-09 19:28

Pinned Comments

nickoe commented on 2021-05-23 11:09

@haawda, thank you for testing, but I currently think the right thing to do is to get community/python-wxpython downgraded.

See https://bugs.archlinux.org/task/70908

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

GPereira commented on 2019-01-12 11:08

I can do that, add me as a co-mantainer

nickoe commented on 2019-01-11 20:52

@GPereia, but you still would need to patch out the glm check

GPereira commented on 2019-01-11 19:39

Here you have a new pkgbuild that uses python 3 https://pastebin.com/13aYbKrq

GPereira commented on 2019-01-11 19:14

I would like to enable some new Kicad modules, for example the Spice one

GPereira commented on 2019-01-11 19:06

Also you can add me as a co-maintainer so I could help more easily.

GPereira commented on 2019-01-11 19:05

add "export CXX=clang++" before cmake to fix GLM issue. It doesn't compile with GCC and it is a recommendation from kicad

nickoe commented on 2019-01-11 18:44

@GPereira Please share patches and I may merge them.

GPereira commented on 2019-01-11 18:37

Can I be a co-mantainer?

GPereira commented on 2019-01-11 18:37

I can help you improve this package since it missed a lot of optional dependencies.

Knusperkeks commented on 2018-12-19 13:47

Kicad can be built with Python 3 support and the wxpython version found in the official repo, as well: https://lists.launchpad.net/kicad-developers/msg38660.html